Download it now!
Bug 44993 - EasyHack: tools: remove obsolete FSysRedirector ...
Summary: EasyHack: tools: remove obsolete FSysRedirector ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-01-20 06:58 UTC by Michael Meeks
Modified: 2015-12-15 23:49 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-01-20 06:58:53 UTC
the tools/ code includes a class:

tools/inc/tools/fsys.hxx (FSysRedirector) that is internal to tools/ and has only one method 'DoRedirect' which does nothing (it can never be initialized).

We should rip that out from tools/source/fsys/dirent.cxx and all associated call sites for a nice cleanup :-)
Comment 1 Not Assigned 2012-02-21 07:01:08 UTC
Elton Chung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4cd2af27cbedc0f59f5a8a3f0a7c27b158b42fce

fdo#44993: Remove obsolete FSysRedirector
Comment 2 Michael Meeks 2012-02-21 07:48:01 UTC
so - closed; thanks ! :-)
Comment 3 Robinson Tryon (qubit) 2015-12-15 23:49:34 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]